package polecelychcisel;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class PoleCelychCisel {
    public static int nactiCeleCislo(Scanner kl, String hlaska){
        int cislo;
        while (true) {
            try {
                System.out.println(hlaska);
                cislo = kl.nextInt();
                break;
            } catch (InputMismatchException e) {
                System.out.println("Nutno zadat cele cislo.");
                kl.nextLine(); // vyprazdneni bufferu klavesnice
            }
        }
        return(cislo);
    }
    
    public static int soucet(int[] pole){
        int s = 0;
        for(int i = 0; i < pole.length; i++){
            s += pole[i];  // s = s + pole[i];
        }
        return(s);
    }
    
    public static double prumer(int[] pole){
        return((double)soucet(pole)/pole.length);
    }
    
    public static String sudyLichyPrvek(int cislo){
        String retezec;
        retezec = (cislo%2 ==0) ? "sudy" : "lichy";
        return(retezec);
    }
    
    public static void sudostLichost(int[] pole){
        for(int i = 0; i < pole.length; i++){
            System.out.printf("Prvek [%d] = %d je %s\n", i, pole[i], sudyLichyPrvek(pole[i]));
        }
    }
    
    public static int[] razeni(int[] pole){
       int m;
       for(int i=0; i < pole.length; i++){
         m = pole[i];
         for(int j =0; j < pole.length; j++){
            if(pole[j] < m){
                pole[i]=pole[j];
                pole[j]=m;
                m=pole[i];
            } 
         }
       }
       return(pole);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner kl = new Scanner(System.in);
        int n;
        do{
            n = nactiCeleCislo(kl, "Zadej velikost pole:");
        }while(n <= 0);
        int[] p;
        p = new int[n];     /*int[] p = new int[n]*/
        for(int i=0; i<n; i++){
            p[i] = nactiCeleCislo(kl, String.format("Zadej %d. prvek pole:", i+1));
        }
        System.out.println("Pole cisel:");
        for(int i=0; i<n; i++){
            System.out.format("%d\t", p[i]);
        }
        System.out.printf("\nSoucet prvku v poli je: %d\n",soucet(p));
        System.out.printf("\nPrumer prvku pole je: %.3f\n",prumer(p));
        sudostLichost(p);
        int[]q = razeni(p);
        System.out.println("Serazene pole cisel:");
        for(int i=0; i<n; i++){
            System.out.format("%d\t", q[i]);
        }
        
    }
    
}
